# 
# $Id: rtds_fortune.rb,v 1.3 2005/08/26 17:41:53 Yuukis Exp $
#
# Original Script is "fortune.rb"
# Copyright (c) 2002 MUTOH Masao <mutoh@highway.ne.jp>
# You can redistribute it and/or modify it under GPL2.
#

def rtds_fortune
	phrase = ""
	fortune = ""
	title = ""
	n = 1
	IO.readlines("#{PLUGIN_FILES}fortune").each { |line|
		if line =~ /^%.*/
			if rand(n) < 1
				fortune = phrase
				title = line.sub(/^%/,"").chomp
			end
			phrase = ""
			n += 1
		else
			phrase << line
		end
		}
	fortune.gsub!("\n","<br />\n")

	if title == ""
		return(%Q(<div class="fortune">\n#{fortune}</div>\n))
	else
		return(%Q(<div class="fortune" title="#{title}">\n#{fortune}</div>\n))
	end
end
